import 'package:json_annotation/json_annotation.dart';
import '../../../shared/widgets/base_view/base_response_model.dart';

part 'create_otp_response_model.g.dart';
@JsonSerializable()
class CreateOTPResponseModel extends EmptyCodable {
  @JsonKey(name: 'resend_after_second')
  int? resendAfterSecond;

  CreateOTPResponseModel({
    this.resendAfterSecond,
  }) : super.fromJson(null);

  factory CreateOTPResponseModel.fromJson(Map<String, dynamic> json) => _$CreateOTPResponseModelFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOTPResponseModelToJson(this);
}